RankSharkDocs
Run control

Stop campaigns

RankShark EnhanceScopecampaigns:run

POST
/api/v1/campaigns/stop

At most 10 run-control calls a minute.

Authorization

headerAuthorizationBearer <token>

An Enhance API key (rsen_…) or an OAuth 2.1 access token, as "Authorization: Bearer …".

Request Body

application/json
  1. body

ids[] or all=true

ids?array<string>

Campaign ids

all?boolean

Every campaign instead of ids

Response Body

Stopped

application/json
  1. response
op*string

start, stop or restart

count*integer

Campaigns acted on

Example Request
curl -X POST 'https://panel.rankshark.io/api/v1/campaigns/stop' \  -H 'Content-Type: application/json' \  -d '{  "all": true}'
Example Response
{  "op": "stop",  "count": 5}